6.0.0-git
2021-01-18

[#6762] Configuration tabs missing / messed up
Summary Configuration tabs missing / messed up
Queue Horde Base
Queue Version 3.2
Type Bug
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester mail (at) dunix-data (dot) de
Created 2008-05-26 (4620 days ago)
Due
Updated 2008-05-27 (4619 days ago)
Assigned 2008-05-26 (4620 days ago)
Resolved 2008-05-27 (4619 days ago)
Milestone
Patch No

History
2008-05-27 02:13:46 Chuck Hagenbuch Comment #6
Assigned to Chuck Hagenbuch
State ⇒ Resolved
Reply to this comment
Ah, not xml then - nice find. This should fix it too then:

http://lists.horde.org/archives/cvs/Week-of-Mon-20080526/079006.html
2008-05-26 23:53:48 mail (at) dunix-data (dot) de Comment #5 Reply to this comment
Definitely sounds like a problem with the DOM extension. Can you play
around with doing basic xml parsing on the two installs?
I did and I found a workaround. In lib/Horde/Config.php on line 547, I 
changed md5(microtime()) to md5(rand()) and it seems to work now (I 
don't know if replacing the other occurrences of microtime() is 
necessary).



The server is a dual-core machine with thread support for PHP and 
Apache using mpm-worker. So, I'm wondering if it's possible that 
microtime() actually returns the same time more than once...
2008-05-26 21:46:51 Chuck Hagenbuch Comment #4 Reply to this comment
Definitely sounds like a problem with the DOM extension. Can you play 
around with doing basic xml parsing on the two installs?
2008-05-26 21:26:36 mail (at) dunix-data (dot) de Comment #3 Reply to this comment
The config/conf.xml is fine (fresh install, no previous version). I 
noticed a couple of other things:

- the same error occurs with Horde 3.1

- the error does not occur on another server with almost exactly the 
same setup: PHP 5.2.6 on Gentoo Linux, compiled against the same 
libxml, etc.



The only difference is that the server where it works is running 
mod_php and the server that produces the error is running php as fcgi. 
Could that be a lead? I raised the log-level, but no information is 
logged when I open the configuration. The weird thing is that all 
applications (IMP, Kronolith, etc.) work fine. That's also the reason 
why I only noticed it now when I prepared upgrading to the new stable 
release. I hadn't touched the running configuration in a long time...


2008-05-26 20:38:15 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Check if your config/conf.xml file is broken. And did you upgrade from 
an earlier version?
2008-05-26 19:37:04 mail (at) dunix-data (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Configuration tabs missing / messed up
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
New Attachment: horde.png Download
Reply to this comment
This is a fresh install, only the *.php.dist files were renamed to 
*.php. When I go to "Administration -> Configuration", only some of 
the tabs are shown and the options shown are often in the wrong place, 
that is, they should be in another tab (see attached screenshot).

Saved Queries